<template>
  <div class="card fly-in">
    <img :src="card" :alt="card">
  </div>
</template>

<script>
export default {
  name: 'GameCard',
  props: {
    cardImage: {
      required: true,
      type: String
    }
  },
  created() {
    const image = new Image();
    image.onload = () => {
      this.loading = false;
      this.card = image.src;
    };
    image.src = this.cardImage;
  },
  data() {
    return {
      loading: true,
      card: ''
    }
  }
}
</script>

<style>
@keyframes popIn {
  0%{
    transform: translate3d(-100%, -100%, 0);
  }
  100% {
    transform: translate3d(0, 0, 0);
  }
}

.card {
  transform: translate3d(-100%, -100%, 0);
  animation-name: popIn;
  animation-duration: 200ms;
  animation-fill-mode: forwards;
  animation-delay: 50ms;
  animation-timing-function: ease-in-out;
  width: 100px;
  margin-right: .5em;
  margin-bottom: .5em;
}

.card:last-child {
  margin-right: 0;
}

.card img {
  display: block;
  max-width: 100%;
}
</style>